nutch-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Emmanuel Joke (JIRA)" <j...@apache.org>
Subject [jira] Updated: (NUTCH-598) Remove deprecated use of ToolBase, Migration to the new implementation
Date Wed, 02 Jan 2008 08:58:34 GMT

     [ https://issues.apache.org/jira/browse/NUTCH-598?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Emmanuel Joke updated NUTCH-598:
--------------------------------

    Attachment: NUTCH-598.patch

Patch provided

It includes:
- remove ToolBase call and move to the new implementation
- improve the code to remove some minor warning (seen in Eclipse) in the implementation of
those classes 
- I noticed that ParseSegment was the only class which wre not extending ToolBase (i don't
know if there was really a reason for that...) so i even migrate this class to the new implementation.



> Remove deprecated use of ToolBase, Migration to the new implementation
> ----------------------------------------------------------------------
>
>                 Key: NUTCH-598
>                 URL: https://issues.apache.org/jira/browse/NUTCH-598
>             Project: Nutch
>          Issue Type: Improvement
>    Affects Versions: 0.9.0
>            Reporter: Emmanuel Joke
>            Assignee: Emmanuel Joke
>         Attachments: NUTCH-598.patch
>
>
> All major nutch command are using the deprecated ToolBase class. We need to upgrade the
code to extend Configured, implements the interface Tool and use ToolRunner.run().

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message